POST api/Order/ConfirmOrderOut
确认出库
Request Information
URI Parameters
None.
Body Parameters
order_out| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| dept_id | integer |
None. |
|
| order_no | string |
None. |
|
| owner_id | integer |
None. |
|
| quantity | integer |
None. |
|
| weight | decimal number |
None. |
|
| details | string |
None. |
|
| th_date | string |
None. |
|
| th_carno | string |
None. |
|
| th_driver_name | string |
None. |
|
| th_file | string |
None. |
|
| kh_remark | string |
None. |
|
| zxdw_id | string |
None. |
|
| zxdw_name | string |
None. |
|
| zxdw_driver_id | string |
None. |
|
| zxdw_driver_name | string |
None. |
|
| zydw_id | integer |
None. |
|
| zydw_name | string |
None. |
|
| zydw_driver_name | string |
None. |
|
| zydw_car_no | string |
None. |
|
| pbdb_num | integer |
None. |
|
| jh_num | integer |
None. |
|
| operator_id | integer |
None. |
|
| status | integer |
None. |
|
| workdesc | string |
None. |
|
| remark | string |
None. |
|
| out_time | date |
None. |
|
| addtime | date |
None. |
|
| money_operator_id | integer |
None. |
|
| fee_status | integer |
None. |
|
| fee_time | date |
None. |
|
| fee_rule | string |
None. |
|
| fee_amount | decimal number |
None. |
|
| pay_operator_id | integer |
None. |
|
| pay_rule | string |
None. |
|
| pay_time | date |
None. |
|
| pay_amount | decimal number |
None. |
|
| pay_status | integer |
None. |
|
| deptname | string |
None. |
|
| operatorname | string |
None. |
|
| moneyoperatorname | string |
None. |
|
| payoperatorname | string |
None. |
|
| customername | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"dept_id": 2,
"order_no": "sample string 3",
"owner_id": 4,
"quantity": 5,
"weight": 6.1,
"details": "sample string 7",
"th_date": "sample string 8",
"th_carno": "sample string 9",
"th_driver_name": "sample string 10",
"th_file": "sample string 11",
"kh_remark": "sample string 12",
"zxdw_id": "sample string 13",
"zxdw_name": "sample string 14",
"zxdw_driver_id": "sample string 15",
"zxdw_driver_name": "sample string 16",
"zydw_id": 1,
"zydw_name": "sample string 17",
"zydw_driver_name": "sample string 18",
"zydw_car_no": "sample string 19",
"pbdb_num": 20,
"jh_num": 21,
"operator_id": 1,
"status": 22,
"workdesc": "sample string 23",
"remark": "sample string 24",
"out_time": "2026-03-26T14:26:26.6443787+08:00",
"addtime": "2026-03-26T14:26:26.6443787+08:00",
"money_operator_id": 1,
"fee_status": 26,
"fee_time": "2026-03-26T14:26:26.6443787+08:00",
"fee_rule": "sample string 27",
"fee_amount": 28.1,
"pay_operator_id": 1,
"pay_rule": "sample string 29",
"pay_time": "2026-03-26T14:26:26.6443787+08:00",
"pay_amount": 30.1,
"pay_status": 31,
"deptname": "sample string 32",
"operatorname": "sample string 33",
"moneyoperatorname": "sample string 34",
"payoperatorname": "sample string 35",
"customername": "sample string 36"
}
multipart/form-data
Sample:
<order_out xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Model"><addtime>2026-03-26T14:26:26.6443787+08:00</addtime><customername>sample string 36</customername><dept_id>2</dept_id><deptname>sample string 32</deptname><details>sample string 7</details><fee_amount>28.1</fee_amount><fee_rule>sample string 27</fee_rule><fee_status>26</fee_status><fee_time>2026-03-26T14:26:26.6443787+08:00</fee_time><id>1</id><jh_num>21</jh_num><kh_remark>sample string 12</kh_remark><money_operator_id>1</money_operator_id><moneyoperatorname>sample string 34</moneyoperatorname><operator_id>1</operator_id><operatorname>sample string 33</operatorname><order_no>sample string 3</order_no><out_time>2026-03-26T14:26:26.6443787+08:00</out_time><owner_id>4</owner_id><pay_amount>30.1</pay_amount><pay_operator_id>1</pay_operator_id><pay_rule>sample string 29</pay_rule><pay_status>31</pay_status><pay_time>2026-03-26T14:26:26.6443787+08:00</pay_time><payoperatorname>sample string 35</payoperatorname><pbdb_num>20</pbdb_num><quantity>5</quantity><remark>sample string 24</remark><status>22</status><th_carno>sample string 9</th_carno><th_date>sample string 8</th_date><th_driver_name>sample string 10</th_driver_name><th_file>sample string 11</th_file><weight>6.1</weight><workdesc>sample string 23</workdesc><zxdw_driver_id>sample string 15</zxdw_driver_id><zxdw_driver_name>sample string 16</zxdw_driver_name><zxdw_id>sample string 13</zxdw_id><zxdw_name>sample string 14</zxdw_name><zydw_car_no>sample string 19</zydw_car_no><zydw_driver_name>sample string 18</zydw_driver_name><zydw_id>1</zydw_id><zydw_name>sample string 17</zydw_name></order_out>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServerResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField></ServerResponse>